Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.script
Class MathUtil

    java.lang.Object
      org.eclipse.birt.core.script.MathUtil

    public class MathUtil

extends java.lang.Object

Constructor Summary
`MathUtil()`

Method Summary
`static java.lang.Number` | `abs(java.lang.Object number)`
`static java.lang.Number` | `add(java.lang.Object obj1, java.lang.Object obj2)` add operation.
`static int` | `compare(java.lang.Object number1, java.lang.Object number2)`
`static int` | `compareTo0(java.lang.Object number)`
`static java.lang.Number` | `divide(java.lang.Object dividend, java.lang.Object divisor)`
`static java.lang.Number` | `multiply(java.lang.Object obj1, java.lang.Object obj2)`
`static java.lang.Number` | `negate(java.lang.Object number)`
`static java.lang.Object` | `safeDivide(java.lang.Object dividend, java.lang.Object divisor, java.lang.Object ifZero)`
`static java.lang.Number` | `subtract(java.lang.Object obj1, java.lang.Object obj2)`
`static java.lang.Number` | `toNumber(java.lang.Object obj1)` add operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MathUtil

    public MathUtil()

Method Detail

### add

    public static final java.lang.Number add(java.lang.Object obj1,
                                             java.lang.Object obj2)
                                      throws BirtException

  add operation.

  Parameters:
    `obj1` -
    `obj2` -
  Returns:
  Throws:
    `BirtException`

### subtract

    public static final java.lang.Number subtract(java.lang.Object obj1,
                                                  java.lang.Object obj2)
                                           throws BirtException

  Parameters:
    `obj1` -
    `obj2` -
  Returns:
  Throws:
    `BirtException`

### multiply

    public static final java.lang.Number multiply(java.lang.Object obj1,
                                                  java.lang.Object obj2)
                                           throws BirtException

  Parameters:
    `obj1` -
    `obj2` -
  Returns:
  Throws:
    `BirtException`

### divide

    public static final java.lang.Number divide(java.lang.Object dividend,
                                                java.lang.Object divisor)
                                         throws BirtException

  Parameters:
    `dividend` -
    `divisor` -
  Returns:
  Throws:
    `BirtException`

### safeDivide

    public static final java.lang.Object safeDivide(java.lang.Object dividend,
                                                    java.lang.Object divisor,
                                                    java.lang.Object ifZero)
                                             throws BirtException

  Parameters:
    `dividend` -
    `divisor` -
    `ifZero` -
  Returns:
  Throws:
    `BirtException`

### compareTo0

    public static final int compareTo0(java.lang.Object number)
                                throws BirtException

  Parameters:
    `number` -
  Returns:
  Throws:
    `BirtException`

### compare

    public static final int compare(java.lang.Object number1,
                                    java.lang.Object number2)
                             throws BirtException

  Parameters:
    `number` -
  Returns:
  Throws:
    `BirtException`

### abs

    public static final java.lang.Number abs(java.lang.Object number)
                                      throws BirtException

  Parameters:
    `number` -
  Returns:
  Throws:
    `BirtException`

### negate

    public static final java.lang.Number negate(java.lang.Object number)
                                         throws BirtException

  Parameters:
    `number` -
  Returns:
  Throws:
    `BirtException`

### toNumber

    public static final java.lang.Number toNumber(java.lang.Object obj1)
                                           throws BirtException

  add operation.

  Parameters:
    `obj1` -
    `obj2` -
  Returns:
  Throws:
    `BirtException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.